Index: /trunk/expressoMail1_2/setup/phpgw_es-es.lang
===================================================================
--- /trunk/expressoMail1_2/setup/phpgw_es-es.lang	(revision 123)
+++ /trunk/expressoMail1_2/setup/phpgw_es-es.lang	(revision 163)
@@ -162,5 +162,5 @@
 Mark as Spam	expressoMail1_2	es-es	Marcar como espam
 Send this message without a subject?	expressoMail1_2	es-es	¿Enviar este mensaje sin asunto?
-Shared options saved with sucess	expressoMail1_2	es-es	Opciones de división guardadas con suceso
+Shared options saved with success	expressoMail1_2	es-es	Opciones de división guardadas con suceso
 Show default view on main screen	expressoMail1_2	es-es	Mostrar resumen del ExpressoMail en la pantalla inicial del Expresso
 Test Word: Hello %1 %2 %3 %4, Bye!	expressoMail1_2	es-es	Test de palabra: Hola: %1 %2 %3 %4. ¡Hasta Luego! 
@@ -253,5 +253,5 @@
 None result was found.	expressoMail1_2	es-es	Ningún resultado fue encontrado
 hlp_msg_addcreate_acl	expressoMail1_2	es-es	Otros usuarios podrán CREAR/AÑADIR nuevos mensajes
-search results	expressoMail1_2	es-es	resultados encontrados
+results found	expressoMail1_2	es-es	resultados encontrados
 Global Catalog	expressoMail1_2	es-es	Catálogo General
 Disable	expressoMail1_2	es-es	Deshabilitar
Index: /trunk/expressoMail1_2/preferences.php
===================================================================
--- /trunk/expressoMail1_2/preferences.php	(revision 124)
+++ /trunk/expressoMail1_2/preferences.php	(revision 163)
@@ -162,5 +162,5 @@
 	$GLOBALS['phpgw']->template->set_var('lang_use_shortcuts',lang('Use shortcuts'));
 	$GLOBALS['phpgw']->template->set_var('lang_signature',lang('Signature'));
-	$GLOBALS['phpgw']->template->set_var('dont_use',lang('Don\'t use'));
+	$GLOBALS['phpgw']->template->set_var('dont_use',lang('None'));
 	$GLOBALS['phpgw']->template->set_var('one_day',lang('1 Day'));
 	$GLOBALS['phpgw']->template->set_var('two_days',lang('2 Days'));
Index: /trunk/expressoMail1_2/inc/class.db_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.db_functions.inc.php	(revision 154)
+++ /trunk/expressoMail1_2/inc/class.db_functions.inc.php	(revision 163)
@@ -1,4 +1,3 @@
 <?php
-// DB Class Connection
 define('PHPGW_INCLUDE_ROOT','../');	
 define('PHPGW_API_INC','../phpgwapi/inc');	
Index: /trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 155)
+++ /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 163)
@@ -1341,4 +1341,36 @@
 	}
 
+	function move_search_messages($params){		
+		$params['selected_messages'] = urldecode($params['selected_messages']);	
+		$params['new_folder'] = urldecode($params['new_folder']);
+		$params['new_folder_name'] = urldecode($params['new_folder_name']);
+		$sel_msgs = explode(",", $params['selected_messages']);
+		@reset($sel_msgs);	
+		$sorted_msgs = array();
+		foreach($sel_msgs as $idx => $sel_msg) {
+			$sel_msg = explode(";", $sel_msg);
+			 if(array_key_exists($sel_msg[0], $sorted_msgs)){
+			 	$sorted_msgs[$sel_msg[0]] .= ",".$sel_msg[1];
+			 }	
+			 else {
+				$sorted_msgs[$sel_msg[0]] = $sel_msg[1];
+			 }
+		}
+		@ksort($sorted_msgs);
+		$last_return = false;		
+		foreach($sorted_msgs as $folder => $msgs_number) {			
+			$params['msgs_number'] = $msgs_number;
+			$params['folder'] = $folder;	
+			if($params['new_folder'] && $folder != $params['new_folder']){
+				$last_return = $this -> move_messages($params);				
+			}
+			elseif(!$params['new_folder'] || $params['delete'] ){
+				$last_return = $this -> delete_msgs($params);
+				$last_return['deleted'] = true;
+			}
+		}
+		return $last_return;
+	}
+	
 	function move_messages($params)
 	{
@@ -1919,19 +1951,13 @@
 	}
 	
-	function get_msg($uid_msg,$name_box){
-		
+	function get_msg($uid_msg,$name_box){		
 		$mbox_stream = $this->open_mbox($name_box);
-		$header = @imap_headerinfo($mbox_stream, imap_msgno($mbox_stream, $uid_msg), 80, 255); 
-		$subject = "";
-		$array_header = $this->ob_array($header);
-		$subject = imap_mime_header_decode($array_header['fetchsubject']);
-		$from = "";
+		$header = @imap_headerinfo($mbox_stream, imap_msgno($mbox_stream, $uid_msg), 80, 255); 		
+		$subject = $this->decode_string($header->fetchsubject);
+		$from = $header->from[0]->mailbox;
 		if($header->from[0]->personal != "")
 			$from = $header->from[0]->personal;
-		else
-			$from = $header->from[0]->mailbox;
-		$ret_msg = imap_utf8($from) . "--" . $subject[0]->text . "--". date("d/m/Y",$array_header['udate'])."--". $this->size_msg($array_header['Size']);
-		return $ret_msg;
-					
+		$ret_msg = $this->decode_string($from) . "--" . $subject . "--". date("d/m/Y",$header ->udate)."--". $this->size_msg($header->Size);
+		return $ret_msg;					
 	}
 
Index: /trunk/expressoMail1_2/js/search.js
===================================================================
--- /trunk/expressoMail1_2/js/search.js	(revision 156)
+++ /trunk/expressoMail1_2/js/search.js	(revision 163)
@@ -152,11 +152,4 @@
 	}
 	
-	// Monta Resultado no Box
-	searchE.prototype.mount_result_box = function(data){
-		draw_box(new Array(), "_search");
-		draw_paging(0);
-//		alternate_border(0);
-
-	}
 	//This func returns the most recent date
 	function date_comp(a,b)
@@ -271,19 +264,11 @@
 		var border_id = create_border(get_lang("Search Results"), "search_" + search_tabs);
 		var table = document.createElement("TABLE");
-		table.id    = "table_result_" + search_tabs;
+		table.id    = "table_resultsearch_" + search_tabs;
 		table.width = "100%";
 
-/*		if(is_ie){
-		 	table.cellPadding  = '0';
-		 	table.cellSpacing = '0';
-	 		table.setAttribute("border","1");
-		}else{
-			table.setAttribute( "cellspacing", "0");
-			table.setAttribute( "cellpadding", "0");
-			table.setAttribute( "border", "1");
-		}*/
 		var tbody = document.createElement("TBODY");
+		tbody.id    = "tbody_resultsearch_" + search_tabs;
 		if(nw_array.length > 0){
-			write_msg(nw_array.length + get_lang(' search results'));			
+			write_msg(nw_array.length + " "+ get_lang('results found'));			
 		}
 
@@ -313,4 +298,5 @@
 					var mailbox = aux[0];
 					var uid_msg = aux[5];
+					tr.id = mailbox + ";" + uid_msg;
 					var td = document.createElement("TD");					
 					
@@ -319,12 +305,14 @@
 						td.style.width = "1%";					
 						var subject_encode = url_encode(aux[2]);
-						var td1 = '<input type="checkbox" id="check_box_message_'+aux[5]+'" name="teste"></input>';
+						var td1 = '<input type="checkbox" id="check_box_search_message_'+tr.id+'"></input>';
 					}
 					if( j == 1){
-						td.style.width = "19%";					
+						td.style.width = "20%";					
 						var nm_box = aux[0].split(cyrus_delimiter);
 						var td1 = nm_box.pop();
 						td.setAttribute("NoWrap","true");
 						td.style.overflow = "hidden";
+						td.style.color = "#42795b";
+						td.style.fontWeight = "bold";
 						if(td1 == "INBOX"){
 							var td1  = get_lang("Inbox");
@@ -338,15 +326,15 @@
 					if( j == 3){
 						var subject_encode = url_encode(aux[2]);
-						td.width = "40%";					
+						td.width = "30%";					
 						var td1  = '<div style="width:100%;overflow:hidden"><a href=javascript:void(0) onclick=EsearchE.open_msg(\"' + url_encode(mailbox) + '\",\"' + uid_msg + '\",\"' + subject_encode + '\")>' + aux[2] +'</a></div>';
 
 					}
 					if( j == 4){
-						td.width = "10%";					
+						td.width = "14%";					
 						td.align = "center";
 						var td1  = aux[3];
 					}
 					if( j == 5){
-						td.width = "10%";
+						td.width = "15%";
 						td.align = "center";
 						var td1  = aux[4];
@@ -362,5 +350,24 @@
 		table.appendChild(tbody);
 		
-		var content = document.getElementById('content_id_' + "search_" + search_tabs);	
+	var content_search =  Element('content_id_' + "search_" + search_tabs);	
+	// BEGIN MAKE THE SCROLL HEIGHT		
+	var defaultWidth = document.body.offsetWidth - 31;	
+	var menuHidden = Element("folderscol").style.display == 'none' ? true : false;
+	if(!menuHidden)
+		defaultWidth -= Element("folderscol").offsetWidth;			
+	var bar = Element("toolbar");
+	var offset = 0;
+	if(bar.style.visibility != 'hidden') 
+		offset = bar.offsetHeight ? bar.offsetHeight :  bar.clientHeight;		
+	var div_scroll_result = document.createElement("DIV");
+	div_scroll_result.id = "div_result_scroll_"+search_tabs;
+	div_scroll_result.style.background = 'WHITE';
+	div_scroll_result.style.height = document.body.clientHeight - offset - 120;
+	content_search.style.height = document.body.clientHeight - offset - 80;
+	div_scroll_result.style.overflow = "auto";
+	div_scroll_result.style.width = defaultWidth - (is_ie ? 7 : 0);
+	// END MAKE THE SCROLL HEIGHT		
+		
+	
 		if(is_ie)
 			Element("border_table").width = "99.5%";
@@ -380,5 +387,5 @@
 		chk_box_element.setAttribute("type", "checkbox");
 		chk_box_element.className = "checkbox";
-		chk_box_element.onclick = function(){select_all_search_messages(this.checked,content);};
+		chk_box_element.onclick = function(){select_all_search_messages(this.checked,content_search.id);};
 		chk_box_element.onmouseover = function () {this.title=get_lang('Select all messages.')};
 		chk_box_element.onkeydown = function (e){
@@ -397,5 +404,5 @@
 		td_element0.appendChild(chk_box_element);
 		td_element1 = document.createElement("TD");
-		td_element1.setAttribute("width", "19%");
+		td_element1.setAttribute("width", "20%");
 		td_element1.align = "left";
 		td_element1.onclick = function () { EsearchE.mount_result(data,'SORTBOX'); delete_border(border_id,false);};
@@ -407,15 +414,15 @@
 		td_element2.innerHTML = get_lang("Who");
 		td_element3 = document.createElement("TD");
-		td_element3.setAttribute("width", "40%");
+		td_element3.setAttribute("width", "30%");
 		td_element3.align = "left";
 		td_element3.onclick = function () { EsearchE.mount_result(data,'SORTSUBJECT'); delete_border(border_id,false);};
 		td_element3.innerHTML = get_lang("Subject");
 		td_element4 = document.createElement("TD");
-		td_element4.setAttribute("width", "10%");
+		td_element4.setAttribute("width", "14%");
 		td_element4.align = "center";
 		td_element4.onclick = function () { EsearchE.mount_result(data,'SORTDATE'); delete_border(border_id,false);};
 		td_element4.innerHTML = get_lang("Date");
 		td_element5 = document.createElement("TD");
-		td_element5.setAttribute("width", "10%");
+		td_element5.setAttribute("width", "15%");
 		td_element5.align = "center";
 		td_element5.onclick = function () { EsearchE.mount_result(data,'SORTSIZE'); delete_border(border_id,false);};
@@ -430,12 +437,15 @@
 		tbody_element.appendChild(tr_element);
 		table_element.appendChild(tbody_element);
-		content.appendChild(table_element);
+		content_search.appendChild(table_element);
 		/*end of "put header"*/
 
-		var span_options = document.getElementById("span_options");
+		var span_options = document.createElement("SPAN");		
 		if (span_options)
-			span_options.innerHTML = '<span title="'+get_lang("Delete")+'" style="margin-left:8px" class="message_options" onclick=delete_search_msgs('+content.id+')>'+get_lang("Delete")+'</span>';
-		content.appendChild(table);
-		content.parentNode.appendChild(span_options);	
+			span_options.innerHTML = '<span title="'+get_lang("Delete")+'" style="margin-top:3px;margin-left:8px" class="message_options" onclick="javascript:move_search_msgs(\''+content_search.id+'\');">'+get_lang("Delete")+'</span> | '+
+				'<span title="'+get_lang("Move")+'" class="message_options" onclick=wfolders.makeWindow(\"'+content_search.id+'\",\"move_to\")>'+get_lang("Move")+'</span>';
+		div_scroll_result.appendChild(table);
+		content_search.appendChild(div_scroll_result);	
+		if (span_options)
+			content_search.appendChild(span_options);	
 	}
 
Index: /trunk/expressoMail1_2/js/abas.js
===================================================================
--- /trunk/expressoMail1_2/js/abas.js	(revision 156)
+++ /trunk/expressoMail1_2/js/abas.js	(revision 163)
@@ -11,4 +11,5 @@
 function alternate_border(ID)
 {
+	Element("footer_menu").style.display = (ID != "0" ? 'none' : '');
 	var len = BordersArray.length;
 	for (var i=0; i < len; i++)
@@ -67,7 +68,12 @@
 		window_DropDownContacts.style.visibility = 'hidden';
 	}
-	Element("footer_menu").style.display = ID ? 'none' : '';
-	
-	var span_options = document.getElementById("span_options");	
+	
+	/*var span_options = document.getElementById("span_options");	
+	if (span_options){
+		span_options.parentNode.removeChild(span_options);
+		var span_options = document.createElement("SPAN");	
+		span_options.setAttribute("id","span_options");	
+	}
+		
 	if ((span_options) && (ID == 0)){
 		var span_D = Element("span_D");
@@ -81,7 +87,10 @@
 	} else
 		if ((span_options) && (ID != 0)){		
-			span_options.innerHTML = '<span title="'+get_lang("Delete")+'" style="margin-left:8px" class="message_options" onclick=delete_search_msgs(content_id_'+ID+')>'+get_lang("Delete")+'</span>';
+			span_options.innerHTML = '<span title="'+get_lang("Delete")+'" style="margin-left:8px" class="message_options" onclick=delete_search_msgs('+content.id+')>'+get_lang("Delete")+'</span> | '+
+				'<span title="'+get_lang("Move")+'" class="message_options" onclick=wfolders.makeWindow(\"border_id_'+content.id.substr(11)+'\",\"move_to\")>'+get_lang("Move")+'</span>';
+		var span_D = Element("span_D");				
+		span_D.parentNode.insertBefore(span_options,span_D);	
 	   	}
-	
+	*/
 	return ID;
 }
Index: /trunk/expressoMail1_2/js/sniff_browser.js
===================================================================
--- /trunk/expressoMail1_2/js/sniff_browser.js	(revision 2)
+++ /trunk/expressoMail1_2/js/sniff_browser.js	(revision 163)
@@ -6,5 +6,5 @@
                 && (agt.indexOf('webtv')==-1) && (agt.indexOf('hotjava')==-1));
     var is_gecko = (agt.indexOf('gecko') != -1);
-    var is_gecko1_5 = (agt.indexOf('firefox/1.5') != -1 || agt.indexOf('firefox/2') != -1);
+    var is_gecko1_5 = (agt.indexOf('firefox/1.5') != -1 || agt.indexOf('firefox/2') != -1 || agt.indexOf('iceweasel/2') != -1);
     var is_ie     = ((agt.indexOf("msie") != -1) && (agt.indexOf("opera") == -1));
     var is_ie3    = (is_ie && (is_major < 4));
Index: /trunk/expressoMail1_2/js/shortcut.js
===================================================================
--- /trunk/expressoMail1_2/js/shortcut.js	(revision 139)
+++ /trunk/expressoMail1_2/js/shortcut.js	(revision 163)
@@ -248,14 +248,18 @@
 	if ( Element('border_id_0').className==='menu-sel' )
 	{
-		var selected_msgs = '';
+		var selected_shortcut_msgs = '';
 		var current_folder = get_current_folder();
 		all_messages = Element('tbody_box').childNodes;
 		
 		for (var i=0; i < all_messages.length; i++)
-			if (all_messages[i].style.backgroundColor != '')
-				selected_msgs += all_messages[i].id + ',';
+		{
+			if ( exist_className(all_messages[i], 'selected_shortcut_msg') )
+			{
+				selected_shortcut_msgs += all_messages[i].id + ',';
+			}
+		}
 		
-		selected_msgs = selected_msgs.substring(0,(selected_msgs.length-1));
-		delete_msgs(current_folder, selected_msgs, 'null');
+		selected_shortcut_msgs = selected_shortcut_msgs.substring(0,(selected_shortcut_msgs.length-1));
+		delete_msgs(current_folder, selected_shortcut_msgs, 'null');
 	}
 	else
@@ -264,6 +268,6 @@
 ,{'disable_in_input':true});
 
-shortcut.add("Ctrl+Up",function(){ exec_msg_action('previous'); },{'disable_in_input':true});
-shortcut.add("Ctrl+Down",function(){ exec_msg_action('next'); },{'disable_in_input':true});
+shortcut.add("Ctrl+Up",function(){ exec_msg_action('previous'); select_msg('null', 'up', true);},{'disable_in_input':true});
+shortcut.add("Ctrl+Down",function(){ exec_msg_action('next'); select_msg('null', 'down', true);},{'disable_in_input':true});
 if (is_ie){
 	shortcut.add("down",function(){ select_msg('null', 'down'); },{'disable_in_input':false});
@@ -283,5 +287,5 @@
 }
 else{
-	shortcut.add("down",function(){ select_msg('null', 'down'); },{'type':'keypress', 'disable_in_input':false});
+	shortcut.add("down",function(){ select_msg('null', 'down');},{'type':'keypress', 'disable_in_input':false});
 	shortcut.add("up",function(){ select_msg('null', 'up'); },{'type':'keypress', 'disable_in_input':false});
 	shortcut.add("Shift+down",function(){
@@ -305,5 +309,5 @@
 		for (var i=0; i < all_messages.length; i++)
 		{
-			if (all_messages[i].style.backgroundColor != '')
+			if ( exist_className(all_messages[i], 'selected_shortcut_msg') )
 			{
 				Element("td_who_" + all_messages[i].id).onclick();
@@ -348,7 +352,8 @@
 }
 
-function select_msg(msg_number, keyboard_action)
-{
-	if ( Element('border_id_0').className != 'menu-sel' )
+function select_msg(msg_number, keyboard_action, force_msg_selection)
+{
+	//Select msg, even if the focus isn't the border_id_0
+	if ( (Element('border_id_0').className != 'menu-sel') && (!force_msg_selection) )
 		return;
 	
@@ -358,17 +363,6 @@
 	if (msg_number != 'null')
 	{
-		var selected_msg = Element(msg_number);
-		all_messages = selected_msg.parentNode.childNodes;
-		for (var i=0; i < all_messages.length; i++)
-		{
-			if (all_messages[i].style.backgroundColor != '')
-			{
-				all_messages[i].style.color = '';
-				all_messages[i].style.backgroundColor = '';
-				break;
-			}
-		}
-		selected_msg.style.color = 'white';
-		selected_msg.style.backgroundColor = '#5194d2';
+		unselect_all_msgs();
+		add_className(Element(msg_number), 'selected_shortcut_msg')
 	}
 	else
@@ -377,13 +371,17 @@
 		if (keyboard_action == 'down')
 		{
-			if (all_messages[all_messages.length-1].style.backgroundColor != '')
+			// Ultimo elemento ja esta selecionado
+			if ( exist_className(all_messages[all_messages.length-1], 'selected_shortcut_msg') )
+			{
+				unselect_all_msgs();
+				add_className(all_messages[all_messages.length-1], 'selected_shortcut_msg')
 				return false;
+			}
 			
 			for (var i=all_messages.length-1; i >=0; i--)
 			{
-				if (all_messages[i].style.backgroundColor != '')
+				if ( exist_className(all_messages[i], 'selected_shortcut_msg') )
 				{
-					all_messages[i+1].style.color = 'white';
-					all_messages[i+1].style.backgroundColor = '#5194d2';
+					add_className(all_messages[i+1], 'selected_shortcut_msg')
 					break;
 				}
@@ -391,6 +389,5 @@
 			for (; i>=0; i--)
 			{
-				all_messages[i].style.color = '';
-				all_messages[i].style.backgroundColor = '';
+				remove_className(all_messages[i], 'selected_shortcut_msg');
 			}
 			return true;
@@ -398,13 +395,16 @@
 		else
 		{
-			if (all_messages[0].style.backgroundColor != '')
+			if ( exist_className(all_messages[0], 'selected_shortcut_msg') )
+			{
+				unselect_all_msgs();
+				add_className(all_messages[0], 'selected_shortcut_msg')
 				return false;
+			}
 			
 			for (var i=0; i < all_messages.length; i++)
 			{
-				if (all_messages[i].style.backgroundColor != '')
+				if ( exist_className(all_messages[i], 'selected_shortcut_msg') )
 				{
-					all_messages[i-1].style.color = 'white';
-					all_messages[i-1].style.backgroundColor = '#5194d2';
+					add_className(all_messages[i-1], 'selected_shortcut_msg')
 					break;
 				}
@@ -412,6 +412,5 @@
 			for (; i< all_messages.length; i++)
 			{
-				all_messages[i].style.color = '';
-				all_messages[i].style.backgroundColor = '';
+				remove_className(all_messages[i], 'selected_shortcut_msg')
 			}
 			return true;
@@ -424,14 +423,13 @@
 	all_messages = Element('tbody_box').childNodes;
 	
-	if (all_messages[all_messages.length-1].style.backgroundColor != '')
+	if ( exist_className(all_messages[all_messages.length-1], 'selected_shortcut_msg') )
 		return;
 	
 	for (var i=all_messages.length-1; i >=0; i--)
 	{
-		if ((all_messages[i].style.backgroundColor != '') && (i+1 <= all_messages.length-1))
+		if ( (exist_className(all_messages[i], 'selected_shortcut_msg')) && (i+1 <= all_messages.length-1) )
 		{
 			shift_down_count++;
-			all_messages[i+1].style.color = 'white';
-			all_messages[i+1].style.backgroundColor = '#5194d2';
+			add_className(all_messages[i+1], 'selected_shortcut_msg');
 			break;
 		}
@@ -443,14 +441,13 @@
 	all_messages = Element('tbody_box').childNodes;
 	
-	if (all_messages[0].style.backgroundColor != '')
+	if ( exist_className(all_messages[0], 'selected_shortcut_msg') )
 		return;
 	
 	for (var i=0; i <=all_messages.length-1; i++)
 	{
-		if (all_messages[i].style.backgroundColor != '')
+		if ( exist_className(all_messages[i], 'selected_shortcut_msg') )
 		{
 			shift_up_count++;
-			all_messages[i-1].style.color = 'white';
-			all_messages[i-1].style.backgroundColor = '#5194d2';
+			add_className(all_messages[i-1], 'selected_shortcut_msg');
 			break;
 		}
@@ -463,9 +460,8 @@
 	for (var i=all_messages.length-1; i >=0; i--)
 	{
-		if (all_messages[i].style.backgroundColor != '')
+		if ( exist_className(all_messages[i], 'selected_shortcut_msg') )
 		{
 			shift_down_count--;
-			all_messages[i].style.color = '';
-			all_messages[i].style.backgroundColor = '';
+			remove_className(all_messages[i], 'selected_shortcut_msg');
 			break;
 		}
@@ -478,11 +474,19 @@
 	for (var i=0; i <=all_messages.length-1; i++)
 	{
-		if (all_messages[i].style.backgroundColor != '')
+		if ( exist_className(all_messages[i], 'selected_shortcut_msg') )
 		{
 			shift_up_count--;
-			all_messages[i].style.color = '';
-			all_messages[i].style.backgroundColor = '';
+			remove_className(all_messages[i], 'selected_shortcut_msg');
 			break;
 		}
 	}
 }
+
+function unselect_all_msgs()
+{
+	all_messages = Element('tbody_box').childNodes;
+	for (var i=0; i <=all_messages.length-1; i++)
+	{
+		remove_className(all_messages[i], 'selected_shortcut_msg');
+	}
+}
Index: /trunk/expressoMail1_2/js/sharemailbox.js
===================================================================
--- /trunk/expressoMail1_2/js/sharemailbox.js	(revision 128)
+++ /trunk/expressoMail1_2/js/sharemailbox.js	(revision 163)
@@ -210,5 +210,5 @@
 				if (data)
 				{
-					alert(get_lang('Shared options saved with sucess'));
+					alert(get_lang('Shared options saved with success'));
 					sharemailbox.arrayWin[el.id].close();
 				}
@@ -275,5 +275,5 @@
 		clearTimeout(finderTimeout);	
 		var oWait = document.getElementById("em_span_searching");
-		oWait.innerHTML = get_lang('Searching...');
+		oWait.innerHTML = get_lang('Searching')+"...";
 		var finderTimeout = setTimeout("sharemailbox.optionFinder('"+obj.id+"')",500);
 	}
Index: /trunk/expressoMail1_2/js/common_functions.js
===================================================================
--- /trunk/expressoMail1_2/js/common_functions.js	(revision 118)
+++ /trunk/expressoMail1_2/js/common_functions.js	(revision 163)
@@ -92,137 +92,35 @@
 // Change the class of message.
 // In refresh, the flags UnRead and UnSeen don't exist anymore. 
-function set_msg_class_to_read(msg_number, selected){
+function set_msg_as_read(msg_number, selected){
 	tr_message = Element(msg_number);
-
-	if (tr_message){
-		if (selected) //Manter a selecao, ao entrar em uma mensagem.
-		{
-			switch(tr_message.className){
-				case "selected_unseen_msg_bg":
-					decrement_folder_unseen();
-					tr_message.className = "selected_seen_msg_bg";
-					break;
-				case "selected_important_msg_unread":
-					decrement_folder_unseen();
-					tr_message.className = "selected_important_msg_read";
-					break;
-				case "important_msg_unread":
-					decrement_folder_unseen();
-					tr_message.className = "important_msg_read";
-					break;
-				case "tr_msg_unread":
-					decrement_folder_unseen();
-					tr_message.className = "tr_msg_read";
-					break;
-			}
-		}
-		else
-		{
-			switch(tr_message.className){
-				case "selected_unseen_msg_bg":
-					decrement_folder_unseen();
-					tr_message.className = "tr_msg_read";
-					break;
-				case "selected_seen_msg_bg":
-					tr_message.className = "tr_msg_read";
-					break;
-				case "selected_important_msg_unread":
-					decrement_folder_unseen();
-					tr_message.className = "important_msg_read";
-					break;
-				case "selected_important_msg_read":
-					tr_message.className = "important_msg_read";
-					break;
-				case "important_msg_unread":
-					decrement_folder_unseen();
-					tr_message.className = "important_msg_read";
-					break;
-				case "tr_msg_unread":
-					tr_message.className = "important_msg_read";
-					break;
-			}
-		}
-	}
-}
-
-function set_msg_class_to_unread(msg_number){
+	if (exist_className(tr_message, 'tr_msg_unread'))
+		decrement_folder_unseen();
+	remove_className(tr_message, 'tr_msg_unread');
+	remove_className(tr_message, 'selected_msg');
+	add_className(tr_message, 'tr_msg_read');
+	return true;
+}
+
+function set_msg_as_unread(msg_number){
 	tr_message = Element(msg_number);
-	if (tr_message)
-	{
-		switch(tr_message.className){
-			case "selected_seen_msg_bg":
-				increment_folder_unseen();
-				tr_message.className = "tr_msg_unread";
-				break;
-			case "selected_unseen_msg_bg":
-				tr_message.className = "tr_msg_unread";
-				break;
-			case "selected_important_msg_read":
-				increment_folder_unseen();
-				tr_message.className = "important_msg_unread";
-				break;
-			case "selected_important_msg_unread":
-				tr_message.className = "important_msg_unread";
-				break;
-			case "tr_msg_read":
-				increment_folder_unseen();
-				tr_message.className = "tr_msg_unread";
-				break;
-			case "important_msg_read":
-				increment_folder_unseen();
-				tr_message.className = "important_msg_unread";
-				break;
-		}
-	}
-}
-
-function set_msg_class_to_flagged(msg_number){
-	tr_message = Element(msg_number);
-	if (tr_message)
-	{
-		switch(tr_message.className){		
-			case "selected_seen_msg_bg":
-				tr_message.className = "important_msg_read";
-				break;
-			case "selected_unseen_msg_bg":
-				tr_message.className = "important_msg_unread";
-				break;
-			case "selected_important_msg_unread":
-			case "tr_msg_unread":
-				tr_message.className = "important_msg_unread";
-				break;
-			case "selected_important_msg_read":
-			case "tr_msg_read":
-				tr_message.className = "important_msg_read";
-				break;
-		}
-		Element("td_message_important_"+msg_number).innerHTML = '<img src=templates/default/images/important.gif title=Importante!>';
-	}
-}
-
-function set_msg_class_to_unflagged(msg_number){
-	tr_message = Element(msg_number);
-	if (tr_message)
-	{
-		switch(tr_message.className){
-			case "selected_seen_msg_bg":
-				tr_message.className = "tr_msg_read";
-				break;
-			case "selected_unseen_msg_bg":
-				tr_message.className = "tr_msg_unread";
-				break;
-			case "selected_important_msg_unread":
-				tr_message.className = "tr_msg_unread";
-				break;
-			case "selected_important_msg_read":
-			case "important_msg_read":
-				tr_message.className = "tr_msg_read";
-				break;
-			case "important_msg_unread":
-				tr_message.className = "tr_msg_unread";
-				break;
-		}
-		Element("td_message_important_"+msg_number).innerHTML = '';
-	}
+	if (exist_className(tr_message, 'tr_msg_read'))
+		increment_folder_unseen();
+	remove_className(tr_message, 'tr_msg_read');
+	remove_className(tr_message, 'selected_msg');
+	add_className(tr_message, 'tr_msg_unread');
+}
+
+function set_msg_as_flagged(msg_number){
+	var msg = Element(msg_number);
+	remove_className(msg, 'selected_msg');
+	add_className(msg, 'flagged_msg');
+	Element("td_message_important_"+msg_number).innerHTML = '<img src=templates/default/images/important.gif title=Importante!>';
+}
+
+function set_msg_as_unflagged(msg_number){
+	var msg = Element(msg_number);
+	remove_className(msg, 'selected_msg');
+	remove_className(msg, 'flagged_msg');
+	Element("td_message_important_"+msg_number).innerHTML = '';
 }
 
@@ -676,2 +574,42 @@
  	return fn;
  }
+
+function add_className(obj, className){
+	if (!exist_className(obj, className))
+		obj.className = obj.className + ' ' + className;
+}
+
+function remove_className(obj, className){
+	var re = new RegExp("\\s*"+className);
+	obj.className = obj.className.replace(re, '');
+}
+
+function exist_className(obj, className){
+	if ( obj.className.indexOf(className) != -1 )
+		return true;
+	return false;
+}
+
+function select_all_messages(select)
+{
+	var main = Element("tbody_box");
+	var main_list = main.childNodes;
+	var len_main_list = main_list.length;
+	
+	if (select)
+	{
+		for (i=0; i<len_main_list; i++)
+		{
+			Element("check_box_message_"+main_list[i].id).checked = true;
+			add_className(Element(main_list[i].id), 'selected_msg');
+		}
+	}
+	else
+	{
+		for (i=0; i<len_main_list; i++)
+		{
+			Element("check_box_message_"+main_list[i].id).checked = false;
+			remove_className(Element(main_list[i].id), 'selected_msg');
+		}
+	}
+}
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 156)
+++ /trunk/expressoMail1_2/js/main.js	(revision 163)
@@ -70,6 +70,6 @@
 		}
 
-		//Change the tr color to read.
-		set_msg_class_to_read(msg_info['msg_number'], true);
+		//Change msg class to read.
+		set_msg_as_read(msg_info['msg_number'], true);
 		
 		if ((msg_info.DispositionNotificationTo) && ((msg_info.Unseen == 'U') || (msg_info.Recent == 'N'))){
@@ -134,30 +134,4 @@
 }
 
-function delete_search_msgs(search_num){
-	search_box = Element("table_result_"+search_num.id.substr(18)).firstChild;
-	var felement = search_box.firstChild;
-	var removedList = new Array();
-	var counter = 0;
-	while(felement)
-	{
-		if (felement.firstChild.firstChild.checked)
-			{
-			var folder = felement.firstChild.nextSibling.innerHTML
-			if (folder == 'Caixa de Entrada')
-				folder = 'INBOX';
-			else
-				folder = 'INBOX'+cyrus_delimiter+folder;
-			delete_msgs(folder, felement.firstChild.firstChild.id.substr(18), null);
-			removedList[counter] = felement;
-			counter++;
-			}
-		felement = felement.nextSibling;
-	}
-	for (var i = 0; i <= counter; i++)
-		Element("table_result_"+search_num.id.substr(18)).firstChild.removeChild(removedList[i]);
-	
-}
-
-
 function delete_msgs(folder, msgs_number, border_ID)
 {
@@ -177,8 +151,8 @@
 			msg_to_delete = Element(data.msgs_number[i]);
 			if (msg_to_delete){
-				if ( (msg_to_delete.style.backgroundColor != '') && (preferences.use_shortcuts == '1') )
+				if ( exist_className(msg_to_delete, 'selected_shortcut_msg') && (preferences.use_shortcuts == '1') )
 				{
-					if (!select_msg('null', 'down'))
-						select_msg('null', 'up')
+					if (!select_msg('null', 'down', true))
+						select_msg('null', 'up', true)
 				}
 				mail_msg.removeChild(msg_to_delete);
@@ -204,4 +178,55 @@
 	if (msgs_number.length > 0 || parseInt(msgs_number) > 0)
 		cExecute ("$this.imap_functions.delete_msgs&folder="+folder+"&msgs_number="+msgs_number+"&border_ID="+border_ID+"&sort_box_type="+sort_box_type+"&search_box_type="+search_box_type+"&sort_box_reverse="+sort_box_reverse+"&reuse_border="+border_ID+"&get_previous_msg="+preferences.delete_and_show_previous_message, handler_delete_msgs);
+	else
+		write_msg(get_lang('No selected message.'));		
+}
+
+function move_search_msgs(border_id, new_folder, new_folder_name){
+	var selected_messages = '';
+	var main_list = Element("tbody_resultsearch_"+border_id.substr(18)).childNodes;	
+	for (j = 0; j < main_list.length; j++)	{
+		var check_box = Element("check_box_search_message_"+main_list[j].id);
+		if(check_box && check_box.checked) {
+			selected_messages += main_list[j].id + ',';
+		}
+	}
+	selected_messages = selected_messages.substring(0,(selected_messages.length-1));
+	var handler_move_search_msgs = function(data){
+		if(!data || !data.msgs_number)
+			return;
+		else if(data.deleted) {			
+			if (data.msgs_number.length == 1)
+				write_msg(get_lang("The message was deleted."));
+			else
+				write_msg(get_lang("The messages were deleted."));			
+		}
+		else{
+			if (data.msgs_number.length == 1)
+				write_msg(get_lang("The message was moved to folder ") + lang_folder(data.new_folder_name));
+			else
+				write_msg(get_lang("The messages were moved to folder ") + lang_folder(data.new_folder_name));
+		}
+	
+		selected_messages = selected_messages.split(",");
+		for (i = 0; i < selected_messages.length; i++){
+			var tr = Element(selected_messages[i]);
+			tr.parentNode.removeChild(tr);
+		}			
+	}	
+
+	if (selected_messages){
+		var params = "";
+		if (!new_folder && parseInt(preferences.save_deleted_msg)){ 
+			new_folder = 'INBOX'+cyrus_delimiter+trashfolder;
+			new_folder_name = trashfolder;
+			params = "&delete=true";
+		}			
+		params += "&selected_messages="+url_encode(selected_messages);
+		if(new_folder) {
+			params += "&new_folder="+url_encode(new_folder);
+			params += "&new_folder_name="+url_encode(new_folder_name);
+		}
+		cExecute ("$this.imap_functions.move_search_messages", handler_move_search_msgs, params);
+	}
 	else
 		write_msg(get_lang('No selected message.'));		
@@ -227,9 +252,9 @@
 		for (var i=0; i<data.msgs_number.length; i++){
 			msg_to_delete = Element(data.msgs_number[i]);
-			if (msg_to_delete){
-				if ( (msg_to_delete.style.backgroundColor != '') && (preferences.use_shortcuts == '1') )
+			if (msg_to_delete){				
+				if ( exist_className(msg_to_delete, 'selected_shortcut_msg') && (preferences.use_shortcuts == '1') )
 				{
-					if (!select_msg('null', 'down'))
-						select_msg('null', 'up')
+					if (!select_msg('null', 'down', true))
+						select_msg('null', 'up', true)
 				}
 				mail_msg.removeChild(msg_to_delete);
@@ -274,12 +299,37 @@
 	
 	var selected_messages = '';
+	var selected_messages_by_shortcuts = '';
 	var j = 0;
-	for (j; j<(main_list.length); j++){
-		check_box = document.getElementById("check_box_message_"+main_list[j].id);
-		if ((check_box)&&(check_box.checked)){
+	for (j; j<(main_list.length); j++)
+	{
+		check_box = Element("check_box_message_"+main_list[j].id);
+		if ( (check_box) && (check_box.checked) )
+		{
 			selected_messages += main_list[j].id + ',';
 		}
+		
+		if (preferences.use_shortcuts == '1')
+		{
+			if ( exist_className(Element(main_list[j].id), 'selected_shortcut_msg') )
+			{
+				selected_messages_by_shortcuts += main_list[j].id + ',';
+			}
+		}
 	}
 	selected_messages = selected_messages.substring(0,(selected_messages.length-1));
+	
+	if (preferences.use_shortcuts == '1')
+	{
+		selected_messages_by_shortcuts = selected_messages_by_shortcuts.substring(0,(selected_messages_by_shortcuts.length-1));
+		
+		var array_selected_messages_by_shortcuts = selected_messages_by_shortcuts.split(",");
+		var array_selected_messages = selected_messages.split(",");
+		
+		if ((array_selected_messages.length <= 1) && (array_selected_messages_by_shortcuts.length > 1))
+		{
+			return selected_messages_by_shortcuts;
+		}
+	}
+	
 	if (selected_messages == '')
 		return false;
@@ -674,17 +724,17 @@
 				switch(data.flag){
 					case "unseen":
-						set_msg_class_to_unread(msgs_to_set[i]);
+						set_msg_as_unread(msgs_to_set[i]);
 						Element("check_box_message_" + msgs_to_set[i]).checked = false;
 						break;
 					case "seen":
-						set_msg_class_to_read(msgs_to_set[i], false);
+						set_msg_as_read(msgs_to_set[i], false);
 						Element("check_box_message_" + msgs_to_set[i]).checked = false;
 						break;
 					case "flagged":
-						set_msg_class_to_flagged(msgs_to_set[i]);
+						set_msg_as_flagged(msgs_to_set[i]);
 						document.getElementById("check_box_message_" + msgs_to_set[i]).checked = false;
 						break;
 					case "unflagged":
-						set_msg_class_to_unflagged(msgs_to_set[i]);
+						set_msg_as_unflagged(msgs_to_set[i]);
 						Element("check_box_message_" + msgs_to_set[i]).checked = false;
 						break;
@@ -864,6 +914,6 @@
 }
 
-function select_all_search_messages(select, aba){
-	search_box = Element("table_result_" + aba.id.substr(18)).firstChild;
+function select_all_search_messages(select, id){
+	var search_box = Element("table_resultsearch_" + id.substr(18)).firstChild;
 	var felement = search_box.firstChild;
 	while(felement)
@@ -877,5 +927,5 @@
 }
 
-function select_all_messages(select){
+/*function select_all_messages(select){
 	var main = Element("tbody_box");
 	var main_list = main.childNodes;
@@ -930,5 +980,5 @@
 		}
 	}
-}
+}*/
 
 
Index: /trunk/expressoMail1_2/js/wfolders.js
===================================================================
--- /trunk/expressoMail1_2/js/wfolders.js	(revision 106)
+++ /trunk/expressoMail1_2/js/wfolders.js	(revision 163)
@@ -53,8 +53,12 @@
 				wfolders.alert = true;
 			}
-			else if (type == 'move_to'){
+			else if (type == 'move_to')	{
 				var msg_number =  (border_id ? border_id.replace('_r','') : 'selected');
-				move_msgs('null',msg_number, border_id, wfolders_tree._selected.id, wfolders_tree._selected.caption);
-				wfolders.alert = true;
+				if (border_id.match('search'))
+					move_search_msgs(border_id, wfolders_tree._selected.id, wfolders_tree._selected.caption);	
+				else{
+					move_msgs('null', msg_number, border_id, wfolders_tree._selected.id, wfolders_tree._selected.caption);
+					wfolders.alert = true;
+				}
 			}
 			else if (type == 'change_folder'){
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 156)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 163)
@@ -124,5 +124,5 @@
 			if(!verify_session(data))
 				return;
-			Element("border_id_0").innerHTML = "&nbsp;" + lang_folder(folder_name) + '&nbsp;<font face="Verdana" size="1" color="#505050">[<span id="new_m">&nbsp;</span> / <span id="tot_m">0</span>]</font>';
+			Element("border_id_0").innerHTML = "&nbsp;" + lang_folder(folder_name) + '&nbsp;<font face="Verdana" size="1" color="#505050">[<span id="new_m">&nbsp;</span> / <span id="tot_m"></span>]</font>';
 			draw_box(data, current_folder);
 			draw_paging(data.num_msgs);
@@ -261,5 +261,4 @@
 		table_element.className = "table_message_header_box";
 		
-		
 		tr_element = document.createElement("TR");
 		tr_element.className = "message_header";
@@ -463,17 +462,12 @@
 		var _fontSize = preferences.font_size ? preferences.font_size : "11";
 		tr_element.id = headers_msgs.msg_number;
-		
-		if ((headers_msgs.Unseen == 'U') || (headers_msgs.Recent == 'N')){
-			if (headers_msgs.Flagged == 'F')
-				tr_element.className = 'important_msg_unread';
-			else
-				tr_element.className = 'tr_msg_unread';
-		}
-		else{
-			if (headers_msgs.Flagged == 'F')
-				tr_element.className = 'important_msg_read';
-			else
-				tr_element.className = 'tr_msg_read';
-		}
+
+		if ((headers_msgs.Unseen == 'U') || (headers_msgs.Recent == 'N'))
+			add_className(tr_element, 'tr_msg_unread');
+		else
+			add_className(tr_element, 'tr_msg_read');
+		
+		if (headers_msgs.Flagged == 'F')
+			add_className(tr_element,'flagged_msg');
 
 		td_element1 = document.createElement("TD");
@@ -639,5 +633,8 @@
 	}
 	else if(sort_box_type != sort){
-		sort_box_reverse = 1;
+		if ( (sort == 'SORTFROM') || (sort == 'SORTSUBJECT') )
+			sort_box_reverse = 0;
+		else
+			sort_box_reverse = 1;
 	}
 		
@@ -1720,113 +1717,41 @@
 
 function changeBgColorToON(all_messages, begin, end){
-	for (begin; begin<=end; begin++){
-		switch (all_messages[begin].className)
-		{
-			case 'tr_msg_read':
-				all_messages[begin].className = "selected_seen_msg_bg";
-				break;
-			case 'tr_msg_unread':
-				all_messages[begin].className = "selected_unseen_msg_bg";
-				break;
-			case 'important_msg_read':
-				all_messages[begin].className = "selected_important_msg_read";
-				break;
-			case 'important_msg_unread':
-				all_messages[begin].className = "selected_important_msg_unread";
-				break;
-		}
+	for (begin; begin<=end; begin++)
+	{
+		add_className(all_messages[begin], 'selected_msg');
 		Element("check_box_message_" + all_messages[begin].id).checked = true;
 	}
 }
-function changeBgColorToOFF(all_messages, begin, end){
-	for (begin; begin<=end; begin++){
-		switch (all_messages[begin].className)
-		{
-			case 'selected_seen_msg_bg':
-				all_messages[begin].className = "tr_msg_read";
-				break;
-			case 'selected_unseen_msg_bg':
-				all_messages[begin].className = "tr_msg_unread";
-				break;
-			case 'selected_important_msg_read':
-				all_messages[begin].className = "important_msg_read";
-				break;
-			case 'selected_important_msg_unread':
-				all_messages[begin].className = "important_msg_unread";
-				break;
-		}
-		document.getElementById("check_box_message_" + all_messages[begin].id).checked = false;
-	}
-}
 
 function changeBgColor(event, msg_number){
-	actual_tr = document.getElementById(msg_number);
-
-	if ((actual_tr.className == "selected_unseen_msg_bg") || (actual_tr.className == "selected_seen_msg_bg") || (actual_tr.className == "selected_important_msg_read") || (actual_tr.className == "selected_important_msg_unread"))
-		actual_background = "on";
-	else
-		 actual_background = "off";
-
-	if (event.shiftKey){
-		last_tr = document.getElementById(last_message_selected);
+	actual_tr = Element(msg_number);
+
+	if (event.shiftKey)
+	{
+		last_tr = Element(last_message_selected);
 		if(!last_tr)
 			last_tr = actual_tr;
 
-		if ((last_tr.className == "selected_unseen_msg_bg") || (last_tr.className == "selected_seen_msg_bg") || (actual_tr.className == "selected_important_msg_read") || (actual_tr.className == "selected_important_msg_unread")) 
-			last_background = "on";
+		all_messages = actual_tr.parentNode.childNodes;
+		
+		for (var i=0; i < all_messages.length; i++)
+		{
+			if (actual_tr.id == all_messages[i].id)
+				first_order = i;
+			if (last_tr.id == all_messages[i].id)
+				last_order = i;
+		}
+		
+		if (parseInt(first_order) > parseInt(last_order))
+			changeBgColorToON(all_messages, last_order, first_order);
 		else
-	 		last_background = "off";
-
-		all_messages = actual_tr.parentNode.childNodes;
-		for (var i=0; i < all_messages.length; i++){
-			if (actual_tr.id == all_messages[i].id){
-				first_order = i;
-			}
-			if (last_tr.id == all_messages[i].id){
-				last_order = i;
-			}
-		}
-
-		if (parseInt(first_order) > parseInt(last_order)){
-			if ((last_background == "off") && (actual_background == "on"))
-				changeBgColorToOFF(all_messages, last_order, first_order);
-			else
-				changeBgColorToON(all_messages, last_order, first_order);
-		}
-		else{
-			if ((last_background == "off") && (actual_background == "on"))
-				changeBgColorToOFF(all_messages, first_order, last_order);			
-			else
-				changeBgColorToON(all_messages, first_order, last_order);
-		}
+			changeBgColorToON(all_messages, first_order, last_order);
 	}
 	else{
-		switch (actual_tr.className)
-		{
-			case 'tr_msg_read':
-				actual_tr.className = " _seen_msg_bg";
-				break;
-			case 'tr_msg_unread':
-				actual_tr.className = "selected_unseen_msg_bg";
-				break;
-			case 'selected_unseen_msg_bg':
-				actual_tr.className = "tr_msg_unread";
-				break;
-			case 'selected_seen_msg_bg':
-				actual_tr.className = "tr_msg_read";
-				break;
-			case 'important_msg_read':
-				actual_tr.className = "selected_important_msg_read";
-				break;
-			case 'important_msg_unread':
-				actual_tr.className = "selected_important_msg_unread";
-				break;
-			case 'selected_important_msg_read':
-				actual_tr.className = "important_msg_read";
-				break;
-			case 'selected_important_msg_unread':
-				actual_tr.className = "important_msg_unread";
-				break;
-		}
+		//if ( exist_className(actual_tr, 'selected_msg') )
+		if ( Element('check_box_message_' + msg_number).checked )
+			add_className(actual_tr, 'selected_msg');
+		else
+			remove_className(actual_tr, 'selected_msg');
 	}
 	last_message_selected = msg_number;
Index: /trunk/expressoMail1_2/js/rich_text_editor.js
===================================================================
--- /trunk/expressoMail1_2/js/rich_text_editor.js	(revision 53)
+++ /trunk/expressoMail1_2/js/rich_text_editor.js	(revision 163)
@@ -218,5 +218,5 @@
 		}
 	}
-		var szURL = prompt(get_lang('Enter with link URL:", "http://"')); 
+		var szURL = prompt(get_lang('Enter with link URL:'), 'http://'); 
 	if ((szURL != null) && (szURL != "")){
 		this.editorCommand("CreateLink", szURL);
Index: /trunk/expressoMail1_2/templates/default/main.css
===================================================================
--- /trunk/expressoMail1_2/templates/default/main.css	(revision 127)
+++ /trunk/expressoMail1_2/templates/default/main.css	(revision 163)
@@ -23,12 +23,12 @@
 }
 
+/* begin class msgs */
 .tr_msg_unread {
+	color: black;
 	background-color: #e8eef7;
-	color: black;
 	font-weight: bold;
 	border-bottom:1px solid #cfcfcf;
     -moz-user-select: none;
 }
-
 .tr_msg_read {
 	color: black;
@@ -37,47 +37,15 @@
     -moz-user-select: none;
 }
-
-.selected_unseen_msg_bg{
-	color: black;
+.selected_msg{
 	background-color: #ffffcc;
-	border-bottom:1px solid #cfcfcf;
-	font-weight: bold;
-    -moz-user-select: none;
-}
-
-.selected_seen_msg_bg{
-	color: black;
-	background-color: #ffffcc;
-	border-bottom:1px solid #cfcfcf;
-    -moz-user-select: none;
-}
-
-/*  important messages  */
-.important_msg_unread {
+}
+.flagged_msg{
 	color: red;
-	background-color: #e8eef7;
-	font-weight: bold;
-	border-bottom:1px solid #cfcfcf;
-    -moz-user-select: none;
-}
-.important_msg_read {
-	color: red;
-	background-color: #ffffff;
-	border-bottom:1px solid #cfcfcf;
-    -moz-user-select: none;
-}
-.selected_important_msg_unread{
-	color: red;
-	background-color: #ffffcc;
-	border-bottom:1px solid #cfcfcf;
-	font-weight: bold;
-    -moz-user-select: none;	
-}
-.selected_important_msg_read{
-	color: red;
-	background-color: #ffffcc;
-	border-bottom:1px solid #cfcfcf;
-    -moz-user-select: none;	
-}
+}
+.selected_shortcut_msg{
+	color: white;
+	background-color: #5194d2;
+}
+/* end class msgs */
 
 .action_info_table {
